Subject: [Int-area] [IntArea] FYI: [arch-d] IAB Adoption of draft-arkko-iab-path-signals-collaboration-01

From: Toerless Eckert <[email-masked]>
Date: Mon, 15 Nov 2021 18:18:02 +0100

Dear Int Area WG.

I wanted to bring attention to subject draft which was recently posted by its IAB
authors, but only to architecture-discuss as its primary discussion list and
panrg as the current most likely research adjacency.

If we want to see work adjacent and following up from this effort, i think IntArea
is not the worst of possible WG places for that role, of course nonwithstanding
very specific protocol proposal that would have to go to a specific WG (e.g.:
type of HPv6 HBH to carry any app/network interaction if such an option was of interest).

For a good primer about onpath network / application interaction from the past, i also recommend
RFC9049, nonwithstanding that i do not agree with all it says and that it is
far from complete, not mentioning many interesting proposals made in the past in the
IETF including BOFs for SPUD/PLUS, some of which is also documented through past
IAB workshops.

So, please chime into the discusson about that work with your input, and if you
think there is any IETF followup from that work you are interested to collaborate on,
i would be happy to hear about it, and maybe int-area is a good first place to discuss.

Cheers
    Toerless

P.S.: I am ineresting in this, because I also did work on app/network interactions in the
past although primarily on shipping vendor products. Success in IETF was impossible
beack then, because when we brought out work back then to INTAREA, there was IMHO no
good balanced technical discussion, but instead the privacy argument was used overwhelmingly.
Some of the drafts from back then:

  draft-martinsen-mmusic-malice
  draft-eckert-intarea-flow-metadata-framework
  draft-zamfir-tsvwg-flow-metadata-rsvp